com.google.gwt.i18n.client

## Enum DateTimeFormat.PredefinedFormat

- java.lang.Object
- - java.lang.Enum<DateTimeFormat.PredefinedFormat>
  - - com.google.gwt.i18n.client.DateTimeFormat.PredefinedFormat

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<DateTimeFormat.PredefinedFormat>
  Enclosing class:
    DateTimeFormat

      public static enum DateTimeFormat.PredefinedFormat
      extends java.lang.Enum<DateTimeFormat.PredefinedFormat>

  Predefined date/time formats -- see `CustomDateTimeFormat` if you need some format that isn't supplied here. deprecated use `DateTimeFormat.PredefinedFormat` instead

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DATE_FULL`
    `DATE_LONG`
    `DATE_MEDIUM`
    `DATE_SHORT`
    `DATE_TIME_FULL`
    `DATE_TIME_LONG`
    `DATE_TIME_MEDIUM`
    `DATE_TIME_SHORT`
    `DAY`
    `HOUR_MINUTE`
    `HOUR_MINUTE_SECOND`
    `HOUR24_MINUTE`
    `HOUR24_MINUTE_SECOND`
    `ISO_8601` ISO 8601 date format, fixed across all locales.
    `MINUTE_SECOND`
    `MONTH`
    `MONTH_ABBR`
    `MONTH_ABBR_DAY`
    `MONTH_DAY`
    `MONTH_NUM_DAY`
    `MONTH_WEEKDAY_DAY`
    `RFC_2822` RFC 2822 date format, fixed across all locales.
    `TIME_FULL`
    `TIME_LONG`
    `TIME_MEDIUM`
    `TIME_SHORT`
    `YEAR`
    `YEAR_MONTH`
    `YEAR_MONTH_ABBR`
    `YEAR_MONTH_ABBR_DAY`
    `YEAR_MONTH_DAY`
    `YEAR_MONTH_NUM`
    `YEAR_MONTH_NUM_DAY`
    `YEAR_MONTH_WEEKDAY_DAY`
    `YEAR_QUARTER`
    `YEAR_QUARTER_ABBR`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DateTimeFormat.PredefinedFormat` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static DateTimeFormat.PredefinedFormat[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ISO_8601

          public static final DateTimeFormat.PredefinedFormat ISO_8601

      ISO 8601 date format, fixed across all locales.

      Example: `2008-10-03T10:29:40.046-04:00`

      http://code.google.com/p/google-web-toolkit/issues/detail?id=3068

      http://www.iso.org/iso/support/faqs/faqs_widely_used_standards/widely_used_standards_other/date_and_time_format.htm

    - #### RFC_2822

          public static final DateTimeFormat.PredefinedFormat RFC_2822

      RFC 2822 date format, fixed across all locales.

      Example: `Thu, 20 May 2010 17:54:50 -0700`

      http://tools.ietf.org/html/rfc2822#section-3.3

    - #### DATE_FULL

          public static final DateTimeFormat.PredefinedFormat DATE_FULL

    - #### DATE_LONG

          public static final DateTimeFormat.PredefinedFormat DATE_LONG

    - #### DATE_MEDIUM

          public static final DateTimeFormat.PredefinedFormat DATE_MEDIUM

    - #### DATE_SHORT

          public static final DateTimeFormat.PredefinedFormat DATE_SHORT

    - #### TIME_FULL

          public static final DateTimeFormat.PredefinedFormat TIME_FULL

    - #### TIME_LONG

          public static final DateTimeFormat.PredefinedFormat TIME_LONG

    - #### TIME_MEDIUM

          public static final DateTimeFormat.PredefinedFormat TIME_MEDIUM

    - #### TIME_SHORT

          public static final DateTimeFormat.PredefinedFormat TIME_SHORT

    - #### DATE_TIME_FULL

          public static final DateTimeFormat.PredefinedFormat DATE_TIME_FULL

    - #### DATE_TIME_LONG

          public static final DateTimeFormat.PredefinedFormat DATE_TIME_LONG

    - #### DATE_TIME_MEDIUM

          public static final DateTimeFormat.PredefinedFormat DATE_TIME_MEDIUM

    - #### DATE_TIME_SHORT

          public static final DateTimeFormat.PredefinedFormat DATE_TIME_SHORT

    - #### DAY

          public static final DateTimeFormat.PredefinedFormat DAY

    - #### HOUR_MINUTE

          public static final DateTimeFormat.PredefinedFormat HOUR_MINUTE

    - #### HOUR_MINUTE_SECOND

          public static final DateTimeFormat.PredefinedFormat HOUR_MINUTE_SECOND

    - #### HOUR24_MINUTE

          public static final DateTimeFormat.PredefinedFormat HOUR24_MINUTE

    - #### HOUR24_MINUTE_SECOND

          public static final DateTimeFormat.PredefinedFormat HOUR24_MINUTE_SECOND

    - #### MINUTE_SECOND

          public static final DateTimeFormat.PredefinedFormat MINUTE_SECOND

    - #### MONTH

          public static final DateTimeFormat.PredefinedFormat MONTH

    - #### MONTH_ABBR

          public static final DateTimeFormat.PredefinedFormat MONTH_ABBR

    - #### MONTH_ABBR_DAY

          public static final DateTimeFormat.PredefinedFormat MONTH_ABBR_DAY

    - #### MONTH_DAY

          public static final DateTimeFormat.PredefinedFormat MONTH_DAY

    - #### MONTH_NUM_DAY

          public static final DateTimeFormat.PredefinedFormat MONTH_NUM_DAY

    - #### MONTH_WEEKDAY_DAY

          public static final DateTimeFormat.PredefinedFormat MONTH_WEEKDAY_DAY

    - #### YEAR

          public static final DateTimeFormat.PredefinedFormat YEAR

    - #### YEAR_MONTH

          public static final DateTimeFormat.PredefinedFormat YEAR_MONTH

    - #### YEAR_MONTH_ABBR

          public static final DateTimeFormat.PredefinedFormat YEAR_MONTH_ABBR

    - #### YEAR_MONTH_ABBR_DAY

          public static final DateTimeFormat.PredefinedFormat YEAR_MONTH_ABBR_DAY

    - #### YEAR_MONTH_DAY

          public static final DateTimeFormat.PredefinedFormat YEAR_MONTH_DAY

    - #### YEAR_MONTH_NUM

          public static final DateTimeFormat.PredefinedFormat YEAR_MONTH_NUM

    - #### YEAR_MONTH_NUM_DAY

          public static final DateTimeFormat.PredefinedFormat YEAR_MONTH_NUM_DAY

    - #### YEAR_MONTH_WEEKDAY_DAY

          public static final DateTimeFormat.PredefinedFormat YEAR_MONTH_WEEKDAY_DAY

    - #### YEAR_QUARTER

          public static final DateTimeFormat.PredefinedFormat YEAR_QUARTER

    - #### YEAR_QUARTER_ABBR

          public static final DateTimeFormat.PredefinedFormat YEAR_QUARTER_ABBR

  - ### Method Detail

    - #### values

          public static DateTimeFormat.PredefinedFormat[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DateTimeFormat.PredefinedFormat c : DateTimeFormat.PredefinedFormat.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DateTimeFormat.PredefinedFormat valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null